OPAL-RESTART(1)

NAME
opal-restart - Restart a previously checkpointed sequential process using the Open PAL Checkpoint/Restart Service (CRS)

Note: This should only be used by the user if the application being restarted is an OPAL-only application. If it is an Open RTE or Open MPI program their respective tools should be used.

SYNOPSIS
opal-restart [ options ] <SNAPSHOT HANDLE>

Options
opal-restart will attempt to restart a previously checkpointed squential process from the snapshot handle reference returned by opal_checkpoint.

<SNAPSHOT HANDLE>
    The snapshot handle reference returned by opal_checkpoint, used to restart the process. This is required to be the last argument to this command.

-h | --help
    Display help for this command

--fork
    Fork off a new process, which is the restarted process. By default, the restarted process will replace opal-restart process.

-w | --where
    The location of the local snapshot reference.

-s | --self
    Restart this process using the self CRS component. This component is a special case, all other CRS components are automaticly detected.

-v | --verbose
    Enable verbose output for debugging.

-gmca | --gmca <key> <value>
    Pass global MCA parameters that are applicable to all contexts. <key> is the parameter name; <value> is the parameter value.

-mca | --mca <key> <value>
    Send arguments to various MCA modules.

DESCRIPTION

opal-restart can be invoked multiple, non-overlapping times. This allows the user to restart a previously running sequential process. See opal_crs(7) for more information about the CRS framework and components.

When using the self CRS component, the <FILENAME> argument is replaced by the name of the program to be restarted followed by any arguments that need to be passed to the program. For example, if under normal execution we would start our program "foo" as:
   shell$ setenv OMPI_MCA_crs=self
   shell$ setenv OMPI_MCA_crs_self_prefix=my_callback_prefix
   shell$ ./foo arg1 arg2 To restart this process, we may only need to call:
   shell$ opal-restart --self
                       -mca crs_self_prefix my_callback_prefix \
                       ./foo arg1 arg2 This will cause the "my_callback_prefix-restart" function to be called as soon as the program "foo" calls OPAL_INIT. You do not have to call your program with the same argument set as before. There for we could have just as correctly called:
   shell$ opal-restart --self \
                       -mca crs_self_prefix my_callback_prefix \
                       ./foo arg3 This depends upon the behavior of the program "foo".

SEE ALSO
  opal-checkpoint(1), opal_crs(7)